Name: xmbdfed
Version: 4.7
Release: alt1

%define prefix /usr/X11R6

Summary: XmBDFEditor is a Motif-based BDF font editor
License: MIT
Group: Publishing
URL: http://crl.nmsu.edu/~mleisher/%name.html
Packager: Sergey Vlasov <vsu@altlinux.ru>

Source: http://crl.nmsu.edu/~mleisher/%name-%version.tar.bz2
Source1: %name.menu

Patch1: http://crl.nmsu.edu/~mleisher/%name-4.7-patch1
Patch100: %name-4.7patch1-debian-3.patch
Patch101: %name-4.7-alt-makefile.patch

BuildPreReq: openmotif-devel >= 2.1.30

# Automatically added by buildreq on Sun Jun 12 2005
BuildRequires: freetype2-devel openmotif-devel xorg-x11-devel zlib-devel

%description
XmBDFEditor is a Motif-based BDF font editor with the following features:

  o  Multiple fonts can be loaded from the command line.
  o  Multiple fonts can be open at the same time.
  o  Cutting and pasting glyphs between fonts.
  o  Multiple glyph bitmap editors can be open at the same time.
  o  Cutting and pasting between glyph bitmap editors.
  o  Export of XBM files from glyph bitmap editors.
  o  Automatic correction of certain metrics when a font is loaded.
  o  Generation of XLFD font names for fonts without XLFD names.
  o  Update an XLFD font name from the font properties.
  o  Update the font properties from an XLFD font name.
  o  Font property editor.
  o  Font comment editor.
  o  Supports unencoded glyphs (ENCODING of -1).
  o  Display of glyph encodings in octal, decimal, or hex.
  o  Builtin on-line help.
  o  Imports PK/GF fonts.
  o  Imports HBF (Han Bitmap Font) fonts.
  o  Imports Linux console fonts (PSF, CP, and FNT).
  o  Imports Sun console fonts (vfont format).
  o  Imports fonts from the X server.
  o  Imports Windows FON/FNT fonts.
  o  Imports TrueType fonts and collections.
  o  Exports PSF fonts.
  o  Exports HEX fonts.
  o  Edits two and four bits per pixel gray scale fonts.

%prep
%setup -q
%patch1 -p0
%patch100 -p1
%patch101 -p1

%build
%make_build CFLAGS="$RPM_OPT_FLAGS"

%install
%__mkdir_p $RPM_BUILD_ROOT{%_x11bindir,%_x11mandir/man1}
%__install -pD -m755 %name $RPM_BUILD_ROOT%_x11bindir/%name
%__install -pD -m644 %name.man $RPM_BUILD_ROOT%_x11mandir/man1/%name.1
%__install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%_x11bindir/*
%_x11mandir/man1/*
%_menudir/*
%doc README COPYRIGHTS CHANGES xmbdfedrc

%changelog
* Sun Jun 12 2005 Sergey Vlasov <vsu@altlinux.ru> 4.7-alt1
- Version 4.7 (+patch1).
- Removed obsolete patches.
- Added patch from Debian package (xmbdfed_4.7patch1-3).
- Dropped support for buildind with lesstif (no lesstif package in Sisyphus).
- Fixed menu file (Applications/Editors section is for text editors).
- Updated BuildRequires.

* Thu Oct 31 2002 Dmitry V. Levin <ldv@altlinux.org> 4.5-alt3
- Rebuilt in new environment.

* Fri Apr 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 4.5-alt2
- Rebuilt with openmotif-2.2.2.

* Sat Nov 24 2001 Sergey Vlasov <vsu@altlinux.ru> 4.5-alt1
- Version 4.5.
- Fixed compilation options.
- Enabled HBF import.
- Patch to fix glyph naming (buffer overflows, stop after unknown code).
- Allow build with either Lesstif or OpenMotif.

* Mon Oct 15 2001 Dmitry V. Levin <ldv@alt-linux.org> 4.4-ipl4mdk
- Built with lesstif-0.93.12.

* Sun Feb 18 2001 AEN <aen@logic.ru>
- group name fixed

* Mon Dec 18 2000 AEN <aen@logic.ru>
- build for 7.2RE with new Lesstif

* Sun Jun 4 2000 AEN <aen@logic.ru>
- initial spec for RE
